<?php
/**
 * OrokuBlocks WooCommerce Product - Elementor Widget
 * 
 * @package OrokuBlocks
 * @author OrokuBlocks (https://orokublocks.com/)
 * 
 * @since 1.0.0
 * 
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
  exit;
}

class OrokuBlocks_WoocommerceProduct_Elementor_Widget extends OrokuBlocks_Elementor_Widget {
  /**
   * Widget constructor
   * 
   * @since 1.0.0
   */
  public function __construct( $data = [], $args = null ) {
    parent::__construct( $data, $args );

    $this->widget_id = 'woocommerce_product';
    $this->addKeywords( [ 'woocommerce', 'product' ] );
    $this->addScriptDependencies( [ 'orokublocks-widget-main-scripts' ] );
    $this->registerScripts();
  }
}